Subject: bug#36941: Want programmable parameterized link buttons: (Was: Please include option to link to maildir files)

From: Robert Weiner <[email-masked]>
Date: Sun, 25 Aug 2019 18:22:46 -0500

The .hypb file for a button is always in the same directory as the Button’s file, so just take its dirne and append .hypb.

-- Bob

> On Aug 25, 2019, at 4:25 PM, Jean Louis <[email-masked]> wrote:
> 
> This is great Robert, thank you.
> 
> Myself I am thinking in terms of HyperScope as envisioned by Doug
> Engelbart, so in the mean time I have started building a system.
> 
> My system is based on the database.
> 
> Do you think that I can bind .hypb file to certain key which is not a
> file?
> 
> For example I have database table hlinks with hlinks_id and I would
> like to bind .hypb maybe also as a string to the hlinks_text database
> field.
> 
> Is there such function already in Hyperbole, to tell "where is the
> .hypb" file? I could place it temporarily maybe in any directory and
> then after usage delete it automatically.
> 
> Does that exist?
> 
> Jean
> 
> * Robert Weiner <[email-masked]> [2019-08-24 07:12]:
>> FYI, the following behavior is implemented in my working copy of Hyperbole
>> but not yet released anywhere.  It will be in the next test release.  Using
>> what is described below together with globally labeled/named implicit
>> buttons, you can create in-buffer, parameterized Action Buttons that you
>> can invoke from anywhere by name or by pressing the Action Key on them.  I
>> hope this will meet the bulk of your needs and be easy to use.
>> 
>> ------
>> From the DEMO file:
>> 
>> ** Action Buttons
>> 
>> A new feature of Hyperbole is a universal syntax for creating implicit
>> buttons of any existing type, known as Action Buttons.  Such buttons are
>> delimited by angle brackets, < > and come in three forms:
>> 
>>  1. action type invocations - these begin with an action type name (from
>> the
>>     list displayed by {C-h h d t a RET}) and are followed by any needed
>>     arguments to form the action, e.g.
>> 
>>          <link-to-file-line ${hyperb:dir}/hact.el 40>
>> 
>>  2. function calls - these are similar to action type invocations but begin
>>     with an Elisp function name rather than an action type name, e.g.
>> 
>>          <find-file-other-window /tmp>
>> 
>>  3. variable displays - these consist of just an Elisp variable name and
>>     display a message with the variable name and value, e.g.
>> 
>>          <fill-column>
>> 
>> Since implicit buttons can be labeled with a name and placed in the global
>> button file for invocation by name, you can give short names to any such
>> buttons you want to invoke frequently.
>> 
>> An Action Button is recognized only if the first name within the angle
>> brackets is an existing action type or Elisp symbol.  Otherwise, other
>> implicit button types will be tested and may activate instead.
>> 
>> With Action Buttons you need not remember any special syntax for each type
>> of
>> implicit button.  You can freely embed them in any type of text and use the
>> Action and Assist keys on them as you do with any other type of implicit
>> button.
> 
> 
> 
> _______________________________________________
> Bug-hyperbole mailing list
> [email-masked]
> https://lists.gnu.org/mailman/listinfo/bug-hyperbole